{
    "compilerOptions": {
        "tsBuildInfoFile": "./node_modules/.tmp/tsconfig.app.tsbuildinfo",
        "target": "ES2022",
        "useDefineForClassFields": true,
        "lib": [
            "ES2022",
            "DOM",
            "DOM.Iterable"
        ],
        "module": "ESNext",
        "types": [
            "vite/client"
        ],
        "skipLibCheck": true,
        "moduleResolution": "bundler",
        "allowImportingTsExtensions": true,
        "verbatimModuleSyntax": true,
        "moduleDetection": "force",
        "noEmit": true,
        "jsx": "react-jsx",
        "strict": true,
        "alwaysStrict": true,
        "useUnknownInCatchVariables": true,
        "noImplicitAny": true,
        "noImplicitOverride": true,
        "noImplicitThis": true,
        "strictPropertyInitialization": true,
        "strictBindCallApply": true,
        "strictBuiltinIteratorReturn": true,
        "strictFunctionTypes": true,
        "strictNullChecks": true,
        "noUnusedLocals": true,
        "noUnusedParameters": true,
        "noImplicitReturns": true,
        "exactOptionalPropertyTypes": true,
        "erasableSyntaxOnly": true,
        "noFallthroughCasesInSwitch": true,
        "noUncheckedSideEffectImports": true
    },
    "include": [
        "source",
        "public",
        "include*",
        "source/functions/Watchtower.ts"
    ]
}
